OpenTTD Source: AirportTileIterator Class Reference

OpenTTD Source 13.1

Public Member Functions | Private Attributes
AirportTileIterator Class Reference

Iterator to iterate over all tiles belonging to an airport. More...

`#include <station_base.h>`

Inheritance diagram for AirportTileIterator:

## Public Member Functions
| AirportTileIterator (const Station *st)
| Construct the iterator. More...
TileIterator & | operator++ ()
| Move ourselves to the next tile in the rectangle on the map.
virtual TileIterator * | Clone () const
| Allocate a new iterator that is a copy of this one.
Public Member Functions inherited from OrthogonalTileIterator
| OrthogonalTileIterator (const OrthogonalTileArea &ta)
| Construct the iterator. More...
| OrthogonalTileIterator (TileIndex corner1, TileIndex corner2)
| Construct the iterator. More...
TileIterator & | operator++ ()
| Move ourselves to the next tile in the rectangle on the map.
Public Member Functions inherited from TileIterator
virtual | ~TileIterator ()
| Some compilers really like this.
| operator TileIndex () const
| Get the tile we are currently at. More...
TileIndex | operator* () const
| Get the tile we are currently at. More...
bool | operator== (const TileIterator &rhs) const
| Equality comparison.
bool | operator!= (const TileIterator &rhs) const
| Inequality comparison.
bool | operator== (const TileIndex &rhs) const
| Equality comparison.
bool | operator!= (const TileIndex &rhs) const
| Inequality comparison.

## Private Attributes
const Station * | st
| The station the airport is a part of.

## Additional Inherited Members
Protected Member Functions inherited from TileIterator
| TileIterator (TileIndex tile=INVALID_TILE)
| Initialise the iterator starting at this tile. More...
Protected Attributes inherited from TileIterator
TileIndex | tile
| The current tile we are at.

## Detailed Description

Iterator to iterate over all tiles belonging to an airport.

Definition at line 535 of file station_base.h.

## Constructor & Destructor Documentation

## ◆ AirportTileIterator()

AirportTileIterator::AirportTileIterator | ( | const Station * | st | ) |
| inline

Construct the iterator.

Parameters

  st | Station the airport is part of.

Definition at line 544 of file station_base.h.

References st.

Referenced by Clone().

The documentation for this class was generated from the following file:

- src/station_base.h